officerGuildRanks = {'Class Leader', 'Officer Alt', 'Officer', 'Guild Master'}

function FixNil (x)
    if(x== nil)then
        return ''
    else
        return x;
    end
end

function isEmpty(s)
  return s == nil or s == ''
end

function splitString (inputstr, sep)
        if sep == nil then
                sep = "%s"
        end
        local t={}
        for str in string.gmatch(inputstr, "([^"..sep.."]+)") do
                table.insert(t, str)
        end
        return t
end

function has_value (t, val)
    for index, value in ipairs(t) do
        if value == val then
            return true
        end
    end

    return false
end

function stripRealm(character)
    local start = string.find(character, "-");
    if start then
        return character:sub(1, start - 1)
    else
        return character
    end
end

function getKeysSortedByValue(tbl, sortFunction)
  local keys = {}
  for key in pairs(tbl) do
    table.insert(keys, key)
  end

  table.sort(keys, function(a, b)
    return sortFunction(tbl[a], tbl[b])
  end)

  return keys
end

function tablelength(T)
  local count = 0
  for _ in pairs(T) do count = count + 1 end
  return count
end